From: Arnaud Rebillout <arnaudr@kali.org>
Date: Sat, 14 Dec 2024 22:15:11 +0700
Subject: rpc: Drop redundant test around NormalizeURL

The function `NormalizeURL()` already checks if its argument is an empty
string, and does nothing in that case. It is even covered by a unit
test!
---
 rpc/rpc.go | 12 +++---------
 1 file changed, 3 insertions(+), 9 deletions(-)

diff --git a/rpc/rpc.go b/rpc/rpc.go
index cb9d726..f4be825 100644
--- a/rpc/rpc.go
+++ b/rpc/rpc.go
@@ -449,15 +449,9 @@ func (c *CLI) setMirror(mirror *mirrors.Mirror) error {
 	mirror.ContinentCode = utils.SanitizeLocationCodes(mirror.ContinentCode)
 
 	// Normalize URLs
-	if mirror.HttpURL != "" {
-		mirror.HttpURL = utils.NormalizeURL(mirror.HttpURL)
-	}
-	if mirror.RsyncURL != "" {
-		mirror.RsyncURL = utils.NormalizeURL(mirror.RsyncURL)
-	}
-	if mirror.FtpURL != "" {
-		mirror.FtpURL = utils.NormalizeURL(mirror.FtpURL)
-	}
+	mirror.HttpURL = utils.NormalizeURL(mirror.HttpURL)
+	mirror.RsyncURL = utils.NormalizeURL(mirror.RsyncURL)
+	mirror.FtpURL = utils.NormalizeURL(mirror.FtpURL)
 
 	// Save the values back into redis
 	conn.Send("MULTI")
